#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-File-Which
Version		:	1.23
Release		:	14.4.0.0%{?dist}
Summary		:	Perl implementation of the which utility as an API

Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::Which

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
'%{name}' finds the full or relative paths to executable
programs on the system. This is normally the function of
which utility. which is typically implemented as either a
program or a built in shell command. On some platforms,
such as Microsoft Windows it is not provided as part of
the core operating system. This module provides a consistent
API to this functionality regardless of the underlying platform.

The focus of this module is correctness and portability.
As a consequence platforms where the current directory is
implicitly part of the search path such as Microsoft
Windows will find executables in the current directory,
whereas on platforms such as UNIX where this is not the
case executables in the current directory will only be
found if the current directory is explicitly added to
the path.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_datadir}/perl5/core_perl/File/Which.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# Remove the Win32 module in order to avoid requiring perl(Win32API::Registry)
find %{buildroot} -type f -name Win32.pm -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog

